layers(3).
width(0,10).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
in_layer(0,n10).
width(1,10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
in_layer(1,n19).
in_layer(1,n20).
width(2,10).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
in_layer(2,n28).
in_layer(2,n29).
in_layer(2,n30).
edge(n17,n25).
edge(n17,n24).
edge(n6,n11).
edge(n18,n28).
edge(n19,n21).
edge(n8,n12).
edge(n6,n14).
edge(n15,n21).
edge(n20,n29).
edge(n8,n19).
edge(n10,n16).
edge(n2,n17).
edge(n18,n30).
edge(n20,n21).
edge(n16,n25).
edge(n2,n20).
edge(n7,n18).
edge(n18,n26).
edge(n12,n21).
edge(n2,n16).
edge(n13,n23).
edge(n18,n25).
edge(n11,n23).
edge(n12,n23).
edge(n3,n18).
edge(n11,n24).
edge(n14,n24).
edge(n16,n21).
edge(n3,n20).
edge(n15,n28).
edge(n15,n30).
edge(n9,n18).
edge(n5,n14).
edge(n17,n26).
edge(n17,n29).
edge(n4,n13).
edge(n2,n12).
edge(n2,n14).
edge(n10,n19).
edge(n3,n15).
